---
title: "A social archipelago: Against social media colonialism"
date: 2024-08-06T12:16:57-5
---

# A social archipelago: Against social media colonialism (DRAFT)

## The Fediverse is dead

So we’ve admitted it — [The Fediverse is Already Dead](https://nora.codes/post/the-fediverse-is-already-dead/). Many have gone in-depth into what the Fediverse’s issues are. Nora, in that same article, points to the following:[^1]

- Right-wing extremism
- Racism
- Instance drama
- Misattribution of malice[^2]

And that’s a pretty solid summary on its own. Those who pay even a little attention to Fediverse meta discussion will note how the same kind of anti-Black harassment happens every other day. Moderators often get burnt out playing a game of “whack-a-mole” with bigotry and spam. And as if that wasn’t enough, many instances rely exclusively on one person or a very small handful of people, mine included, despite instance administration requiring more skillsets than just technical operations.[^3]

Beyond these cultural issues, a lot of ActivityPub software simply lack the tooling to effectively moderate an open network. Some maintainers don’t even care or try. But even with the proper tooling, an open network would still struggle with harassment, oppressed and marginalized groups facing most or all of it. Open federation spreads us thin and pulls us away from actually leading our communities, and missing moderation features and safety controls just make it all worse.

These problems, just a drop in the bucket of social media colonialism, aren’t entirely addressable with one single solution; however, one approach stood out to me as a place to start – the “Social Archipelago.”

## What’s a social archipelago?

In the most basic sense, a “social archipelago” is a network of “islands,” or social media communities, which forms through more selective federation. Nora describes the “social archipelago” as “the way those communities interact, and don’t; the way they form strands and islands and gulfs.”[^1] [Oliphant took the concept further](https://writer.oliphant.social/oliphant/islands-an-opt-in-federated-network), suggesting social archipelago*s* to be opt-in, strictly closed networks, which would change how groups of instances organize and grant their moderators shared responsibility over an entire network instead of just one instance.

In my view, the Fediverse has always been and _had to be_ archipelagic in nature. In practice, fully open federation is extremely rare; few people _actually_ want to federate with everyone. We’ve always had the ability to discern which instances to connect to, which parts of the network to associate with.[^4] How we choose our connections and form relationships with other instances is a core part of instance culture. If we just federate with everyone, people get fed up with dealing with the worst of the worst or repeatedly butting heads with people they’re not aligned with at all. There’s just no sense in forcing together people who don’t like each other one bit, or in allowing bigots, assholes, and spam bots unfettered access to our networks. Everyone just gets alienated.

But switching to an allowlist changes how we make these choices of who to federate with — trust and consent become more important, if not fundamental, to how allowlist networks take shape. If we build a social archipelago based on allowlists, we’ll take a more active role in creating and cultivating our network, with a lot more intention than what goes into open federation.

I’m interested in building a social archipelago in resistance to social media colonialism and imperialism.[^5][^6] I see these social archipelagos like [webrings](https://en.wikipedia.org/wiki/Webring) but for federated social networks — like old-school forums but with superpowers, where instances (“islands”) come together around common goals, shared interests, or themes. People join islands and islands join archipelagos. As with webrings, people can make accounts on different islands, and islands can be in multiple archipelagos at once. There’s room for diversity in how archipelagos form and what shapes they take. Consider these examples for just some possible variations:

- One archipelago might ask its islands to limit sign-up counts or to require approval for registration, another archipelago might be indifferent to each island’s joining process
- One archipelago might require its islands to pick Pokemon as representatives, another archipelago might require its islands to have all black-and-white profile pictures
- Archipelagos could write and adopt an archipelago-wide pact with formal rules for adding or removing islands, or they could have a short list of principles and just work from a consensus.

It’s all up to the people who organize these archipelagos, to the cultures these islands and archipelagos cultivate, to determine how their archipelagos work. Using allowlisting is really the main thing.

## You’re on an island

Before I thought about social archipelagos, I had considered my personal goals for our instance, hol.ogra.ph, which gave more shape to my ideas about allowlisting. Much of social media revolves around timelines, and when I was picturing my ideal hol.ogra.ph experience on an allowlist, I imagined specifically what two particular timelines would look like:

- The local timeline (which shows all our local posts)
- The bubble/global timeline (which would show posts from our federated instances)

I envisioned our local timeline as a small island or village — [people wouldn’t just be strangers passing through a train station](https://www.marginalia.nu/log/82_killing_community/), you’d recognize familiar names or faces and instantly know the person you’re talking to, whose posts you’re reading.

On the other side, the bubble/global timeline would be busier than the home or local timelines, but slower and more curated than what we currently have. It’d be like taking a ferry to neighboring islands and exploring their public spaces. You might still be able to notice recurring names and faces, and you’d _want_ to be on this timeline more often than you do now, because you could trust the other islanders to be just as pleasant to interact with as those on your own island.

It’d be a small community, growing at a sustainable pace, but not surpassing what we could effectively moderate. Participating in a social archipelago could be just one part of how we encourage this type of experience.

## Looking across the water at other islands

A social archipelago would bring together our islands, such as the one I just described. In my archipelago network, moderators and administrators wouldn’t be, or have to act like, cops and police. An intentionally constructed network-as-a-community would steward a culture in which many moderation issues are more trivially dealt with.

In this social archipelago, moderation emphasizes prevention, facilitated by:

- Registration limitations
- Limited federation and allowlists
- Change-oriented community leadership
- Strong relationships and conflict resolution
- Island culture

We would have a public allowlist, but each island could apply silences to new instances, larger instances in the archipelago, etc. to curate their unique experience. I would call this “soft federation.” Ideally, we wouldn’t necessarily _need_ to create our own legalist system or develop lots of policy just to have a safe, functional network.[^7] We’d have rules to provide a baseline for moderation, but our archipelago’s culture would do most of the work.

Our archipelago would provide an island listing, which islands would regularly[^8] pull to build their allowlists. We could then host a website which would host documentation, instructions on joining and how it works, and even a map of the islands in the archipelago.

As far as rules, I would start with at least these simple rules for member islands:

1. **Limit sign-ups**

- Closed, by invitation, by application, or by numerical limit
- If the sociopelago is to grow, it will grow by chunking, so that moderation can keep pace with the growth, any assholes/disruptors can be quickly and trivially dealt with. Growth is not the priority — the ability to nurture the community and meet baseline expectations of safety is
- Members of your instance should know/recognize who your people are - people have to pass a “vibe check” to get in, people should be easily removed if they can’t act right

2. **Allowlist the archipelago**

- Use allowlisting to cultivate your island’s network, rather than blocklisting
- It’s okay to allowlist instances which aren’t part of the network or aren’t using allowlisting themselves — your instance just has to use an allowlist
- Prevent whack-a-mole moderation and keep mods from becoming cops
- Join other networks to build more bridges, vouch for instances you believe work in good faith
- Invite small instances or single-user instances, which might be on the open fediverse or not part of any network, to join this network

3. **Keep these principles**[^9]

- Be nice
  - Acting in good faith
  - Assuming good intent unless otherwise shown
  - Engaging sincerely with other experiences
  - Making space for others, especially oppressed people
  - Honor others’ boundaries
- Have zero-tolerance policies towards bigotry, harassment, and other harm

The archipelago would also have a public chat for all islanders and a private chat for all moderators, where decision-making would take place. Decision-making in the archipelago would be almost exclusively through consensus — if anyone had strong opposition to a proposal, we could talk through it and revise our solution. Join requests would be submitted through an online form or a Git repo, and islands would be accepted through group consensus before being added to the list.

## Moving forward

This is just one concept, but I welcome anyone who wants to join and co-build it together. I also encourage others to borrow all or part of this concept for their own archipelagos. You can copy this idea without any need to credit me specifically, although it would be nice. If you’re interested, you can always reach out to me on Matrix [@kalanggam:matrix.org](https://matrix.to/#/@kalanggam:matrix.org) or on my Sharkey instance [@gil@hol.ogra.ph](https://hol.ogra.ph/@gil).

[^1]: [The Fediverse is Already Dead](https://nora.codes/post/the-fediverse-is-already-dead/)
[^2]: To be specific, how outsiders to the Fediverse incorrectly attribute malice to the entire network, while insiders to the Fediverse narrowly blame these issues on a small set of instances/individuals, ignoring how “the rest of us” feed into the problems.
[^3]: Beyond system administration, instances need community leadership, content moderation, and dispute and conflict resolution (and potentially other skills). Our communities have these skillsets, but [instances require teams](https://hol.ogra.ph/notes/9wkvxo0gwtqunuu1) to fully benefit from them.
[^4]: Mastodon, for example, has offered the ability to block domains since its earliest releases.
[^5]: E.g., “Open Federation” as a sole, dominant paradigm for how our communities should federate, an exclusive focus on “the right rules/tools” (i.e., stricly emphasizing legalism/rule-following/excessive policing or purely technical solutions to social and cultural problems), racist harassment, the repetitive violation of oppressed peoples’ spaces in the Fediverse, the hegemony of mastodon.social, etc.
[^6]: We’ve been living under social media colonialism since we started using social media; the Fediverse has simply continued a lot of the same problems of Big Social, in some ways making them worse.
[^7]: Having a lot of strict policies (such as requiring CWs on politics) can sometimes result in people following only the letter but not the spirit of the rules, being overly literal in how rules are interpreted, or cherry-picking the rules. I find that people often employ these things in ways which target marginalized/oppressed people moreso. It’s important to have some kind of rule(s), but bad rules and structures have _a lot_ of potential for harm and abuse.
[^8]: This could be automated on the server side, which is preferred for a few reasons, but you could manually do it if necessary.
[^9]: These principles could encompass other rules or be stated in other ways, but I would present them minimally on the archipelago side, so moderators can use their own discretion and further specify their own rules as they see fit.
