---
title: "Liberationist 1: A prelude to liberation"
date: 2024-10-10T23:04:03-5
---

# Liberationist 1: A prelude to liberation

Although I’d thought of politics when I was younger, I didn’t have a broader political awakening until I was about 13 or 14 years old. It was around that time I first diverged from my parents’ politics—diverge because I started observing things in the world which broke down the worldview I was raised with and exposed major contradictions between the narratives I believed and the values I held. For now, I’ll recount my political shifts from then until now, spanning 12 years of personal evolutions and everchanging perspectives.

## My journey so far

It began in 2012 with a handful of events. First: George Zimmerman kills Trayvon Martin in February 2012, prompting a national outrage. This event, along with the later killings of Eric Garner, Michael Brown, Tamir Rice, Sandra Bland, and others, culminate in what becomes the Black Lives Matter movement. It is a major awakening for me about race in America; it is when I realize that they weren’t killed merely by individuals but by a system—not simply by tragedy or accident, but by design. It breaks the tentative trust I had in the justice system, and it leads me to be more skeptical about whiteness.

In the wake of Trayvon Martin’s murder, my mom and I visit family in The Philippines, six years since our last visit. It is a sticky, hot June in Cebu. Rather than forget America in another place, I am reminded of it and for the first time I see the world as it exists *because* of America, not in spite of it. Faced with a different way of living, I feel just as alien there as I do in the United States, but I also feel incredibly loved there—our relatives and our neighbors treat me like one of them, even though normally I’m thousands of miles away. I recognize here that the big sister to six other siblings (who grew up on this island, rode the jeepney every day, helped with dishes and washing clothes by hand) and the caregiving nurse (who raised me, cut my hair, picked me up from school in her car, packed my lunch, and machine-washed my clothes) are the same person. It calls me to think more critically about what it means to immigrate, to be an immigrant.

In June of 2013, Wendy Davis performs an 11-hour filibuster to block the Texas Senate from passing Senate Bill 5, a bill to ban abortion after 20 weeks with very little exception. I stay up late watching the livestream and reading the responses on social media. It brings my attention to how much the male perspective dominates in politics. When school starts that fall, I can’t help but notice how we talk about gender and sexuality. I see and face all kinds of normalized harassment. Girls at my high school start a feminist club and receive harassment and threats from students and even adults in the community. Although I’m initially hesitant to unpack what it means to be a man and the privileges which accompany that, I learn more and gain the confidence to call myself a feminist. Other issues arise—income inequality, more police brutality, LGBTQ+ rights, sex education, war in Gaza, just to name some—which deepen my feelings of tension and solidarity with others. By the time I graduate high school, I also start to call myself a “progressive.”

I take these politics with me into college, and like me they continue to grow, against the backdrop of the 2016 election and Trump’s presidency. The difficulty I face building a social circle for myself and integrating into the community at Texas Tech—whether in the engineering college, as a member of the Gay-Straight Alliance (now the Gender and Sexuality Association), or at crowded apartment parties—has a chilling effect on my outlook on identity politics, but I find camaraderie and connection in the Feminist Alliance and Women’s & Gender Studies. It is disillusioning to find that academia isn’t as inclusive or as positive an experience as I expected it to be; the institution unravels in my mind.

Into 2019, I enter the ambitious, but tumultuous space which eventually becomes Student Intersectional Leadership Council, with the goal of building stronger coalitions between student leaders and promoting diversity, equity, and inclusion. It falls apart and I help to build it back up. In this space, everything begins to feel much more connected. By 2022, the work broadens as we forge more relationships and develop our presence. I’m working with Filipino students to share our culture. I’m learning and teaching countercultural ideas about leadership.

By 2023, I’m going in and out of school. Organizers, friends, mentors, even I come and go, but I continue to study these ideas. Filipino culture. Leadership and community organizing. Leftism. Global struggle. Social change. BIPOC radical thought. And the more I work and learning I do, the more I see hierarchies everywhere I look, cycles which run for generations, and complicated networks of interlocking systems. It starts to feel more right to say that I am “radical.” An “anarchist.”

Finally, it comes full circle in 2024. I’ve come back to Lubbock on fire—worse than I remembered the year before. Now, it feels like forces over forty years in the making are coming to a head, seeking to erode community, undermining solidarity, and challenging our hope. A myriad of anxieties plague us: DEI programs dead across the state, bombs falling in Gaza, Democrats building the wall, Republicans gutting education and filling it with right-wing propaganda, and hurricanes and floods ravaging the Southeast and displacing millions. Concerns fixate on whether to vote or not vote, but there’s otherwise no plan, no coalition ready to act. Yet still, something is in the air, thick and like gasoline. Although what comes next is uncertain, everything in Lubbock feels just one spark away from ignition.

## I am a liberationist

It’s this space and time, this point in my journey, in which I’ve come to call myself “liberationist.” It is here I feel the greatest urgency to work across all these struggles and take action on a broader spectrum. Liberation is most basically understood as the act or process of freeing oneself and others from captivity or oppression, or the result of that process. Collective liberation is my chosen vessel for this work because in it I recognize our shared struggles and the deep-running connections between us all. It binds together all these movements and moments I’ve found myself in over the years. Within it, I’ve found a drive to be a witness to and organizer against oppression, hierarchy, injustice, and exploitation. I’ve also found the willpower to build something transformative which counteracts them and elevates all. More critically, I’ve found a spiritual calling to build a better world—to love wider and louder and join others in striving for change.

And that discovery doesn’t end here. When it comes to labeling myself a liberationist, it isn’t to say that my journey is “complete,” but to say that this is a new beginning. I will always have more work to do and more to learn and unlearn. I’ve only assumed this label (even despite what I normally say about labels) because it feels fitting of my desire to articulate connectedness. It also feels fitting to my values—love, hope, and vision especially—and goals—collective empowerment, radical transformation, and building a better world. It does this without necessarily limiting further evolution or driving out other perspectives of what liberation could be.

In a world on fire, liberation is crucial work. We have to connect our struggles, build collective power, and make change together because we can only survive together. Simply having faith that things will improve on their own isn’t enough because things *won’t* get better—not unless we roll up our sleeves and work together. We have to have a hope of active substance, not just an empty, passive one. We find that hope in liberation: that when *we* fight, we win. That when we fight, we can *make* a better world.